.button {
  @import '../../../themes/variables/color';
  @import '../../../themes/mixins/utils';
  @import '../../../themes/mixins/text';

  display: flex;
  align-items: center;

  &.primary-button,
  &.secondary-button {
    flex-direction: row-reverse;
    padding: 0 1.4rem;

    height: 3.2rem;
    min-height: 3.2rem;
    @include fit-content();

    .button-label {
      font-size: 1.4rem;
      font-weight: 700;
    }

    .icon {
      margin-top: -0.2rem;
      margin-right: -1rem;
    }

    &:hover,
    &.active {
      .button-label {
        text-decoration: underline;
      }
    }
  }

  &.primary-button {
    background-color: $brown-1;

    .button-label {
      color: $white;
    }
  }

  &.secondary-button {
    border: 0.1rem solid $brown-1;
    background-color: transparent;

    .button-label {
      color: $brown-1;
    }
  }
}
